Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#2879 closed bug (fixed)

QGIS won't compile with GCC 4.5

Reported by: volter Owned by: nobody
Priority: critical: causes crash or data corruption Milestone: Version 1.5.0
Component: Build/Install Version:
Keywords: Cc:
Must Fix for Release: No Platform: Fedora
Platform Version: Awaiting user input: no

Description (last modified by jef)

It was already pointed out in #2845

that if ( splitterState != QVariant::QVariant() ) should be if ( splitterState != QVariant() ) in qgscomposer.cpp.

Otherwise it won't compile with GCC 4.5.

Attachments (1)

qgis_qvariant.patch (559 bytes) - added by volter 10 years ago.
Patch

Download all attachments as: .zip

Change History (3)

Changed 10 years ago by volter

Attachment: qgis_qvariant.patch added

Patch

comment:1 Changed 10 years ago by jef

Resolution: fixed
Status: newclosed

fixed in r13903.

comment:2 Changed 10 years ago by jef

Description: modified (diff)
Note: See TracTickets for help on using tickets.